<?php
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

if (!checkrights("IP")) fallback("../index.php");
if (file_exists(INFUSIONS."brotator/locale/".$settings['locale'].".php")) {
	include INFUSIONS."brotator/locale/".$settings['locale'].".php";
} else { include INFUSIONS."brotator/locale/English.php"; }

function pokazmenu() {
  global $locale;
  echo "
      <table class='tbl' width='100%'>
        <tr>
          <td align='right' width='25%'><b>".$locale['pbbr432'].":</b></td>
          <td align='center'>
            [<a href='".FUSION_SELF."' class='side'>".$locale['pbbr201']."</a>]
            [<a href='".FUSION_SELF."?act=showall' class='side'>".$locale['pbbr203']."</a>]
            [<a href='".FUSION_SELF."?act=new' class='side'>".$locale['pbbr202']."</a>]
          </td>
        </tr>
        <tr><td colspan='2'>&nbsp;</td></tr>
        <tr>
          <td align='right' width='25%'><b>".$locale['pbbr431'].":</b></td>
          <td align='center'>
            [<a href='".FUSION_SELF."?act=ads_showall' class='side'>".$locale['pbbr433']."</a>]
            [<a href='".FUSION_SELF."?act=ads_new' class='side'>".$locale['pbbr434']."</a>]
          </td>
        </tr>
      </table>\n
    ";
}

// ++++++++++++++++++++++++++++++++++++ FUNKCJE BANNEROW
require_once(INFUSIONS."brotator/func_banners.php");
// ++++++++++++++++++++++++++++++++++++

// ++++++++++++++++++++++++++++++++++++ FUNKCJE REKLAMODAWCY
require_once(INFUSIONS."brotator/func_advertisers.php");
// ++++++++++++++++++++++++++++++++++++

// START +++++
opentable($locale['pbbr100']);

if ((iADMIN) or (iSUPERADMIN)) {
  // Menu admina
  opentable("<center>".$locale['pbbr200']."</center>");
    pokazmenu();
  closetable();

  switch (strtoupper($_GET['act'])) {
    case "SHOWALL": pokazbanery(); break;
    case "NEW": dodajnowy(); break;
    case "EDIT": dodajnowy("edit"); break;
    case "INSERT": wprowadzbaner(); break;
    case "DBEDIT": edytujbaner(); break;
    case "DEL": usunbaner(); break;
    case "STAT": pokazinfo(); break;
    
    // Reklamodawcy
    case "ADS_SHOWALL": ads_pokazwszystkich(); break;
    case "ADS_NEW": ads_dodaj(); break;
    case "ADS_EDIT": ads_dodaj("edit"); break;
    case "ADS_INSERT": ads_wprowadz(); break;
    case "ADS_DBEDIT": ads_aktualizuj(); break;
    case "ADS_DEL": ads_usun(); break;

    default: pokazogolnestaty(); break;
  }
}
else {
  echo $locale['pbbr150'];
}
closetable();
// KONIEC +++++

echo "</td>\n";
require_once BASEDIR."footer.php";
?>