<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."brotator/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."brotator/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."brotator/locale/English.php";
}

// Infusion general information
$inf_title = $locale['pbbr100'];
$inf_description = $locale['pbbr101'];
$inf_version = "0.9.3 beta";
$inf_developer = "PrimalBeast";
$inf_email = "michaldck@gmail.com";
$inf_weburl = "http://www.kaczy.be/";

$inf_folder = "brotator"; // The folder in which the infusion resides.
$inf_admin_image = "brotator.gif"; // Leave blank to use the default image.
$inf_admin_panel = "brotator_admin.php"; // The admin panel filename if required.

$inf_link_name = $locale['pbbr461']; // if not required replace $locale['xxx102']; with "";
$inf_link_url = "brotator_advertisers.php"; // The filename you wish to link to.
$inf_link_visibility = "0"; // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.

$inf_newtables = 3; // Number of new db tables to create or drop.
$inf_insertdbrows = 0; // Numbers rows added into created db tables.
$inf_altertables = 1; // Number of db tables to alter (upgrade).
$inf_deldbrows = 0; // Number of db tables to delete data from.

// Delete any items not required here.
$inf_newtable_[1] = "pb_brotator (
  id smallint(5) unsigned NOT NULL auto_increment,
  url varchar(255) NOT NULL default '',
  banner varchar(255) NOT NULL default '',
  counter int(9) NOT NULL default '0',
  views int(9) unsigned NOT NULL default '0',
  clicks int(9) unsigned NOT NULL default '0',
  added date NOT NULL default '0000-00-00',
  expireat date NOT NULL default '0000-00-00',
  modifiedat date NOT NULL default '0000-00-00',
  expireby enum('c','d') NOT NULL default 'c',
  active tinyint(1) unsigned NOT NULL default '0',
  ads_id smallint(5) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=MyISAM ROW_FORMAT=DYNAMIC
";

$inf_newtable_[2] = "pb_banner_click (
  id smallint(5) NOT NULL auto_increment,
  bid smallint(5) NOT NULL default '0',
  datagodzina datetime NOT NULL default '0000-00-00 00:00:00',
  ip char(15) NOT NULL default '0.0.0.0',
  PRIMARY KEY  (id)
) TYPE=MyISAM ROW_FORMAT=DYNAMIC;
";

$inf_newtable_[3] = "pb_advertisers (
   id smallint(5) NOT NULL auto_increment,
   login varchar(32) NOT NULL default '',
   pass varchar(32) NOT NULL default '',
   email varchar(64) NOT NULL default '',
   PRIMARY KEY  (id)
 ) TYPE=MyISAM ROW_FORMAT=DYNAMIC;
 ";


$inf_droptable_[1] = "pb_brotator";
$inf_droptable_[2] = "pb_banner_click";
$inf_droptable_[3] = "pb_advertisers";

$inf_altertable_[1] = "pb_brotator add column ads_id smallint (5) DEFAULT '0' NOT NULL after active";
?>